%global momorel 3

Summary: An Open Source implementation of the GDI+ API
Name: mono-addins
Version: 0.4
Release: %{momorel}m%{?dist}
URL: http://www.mono-project.com/Mono.Addins
Source0: http://go-mono.com/sources/%{name}/%{name}-%{version}.zip
NoSource: 0
License: GPL
Group: System Environment/Libraries
Patch0: mono-addins-0.3-pkgconfig.patch
Patch1: mono-addins-0.4-gacutil.patch
BuildPreReq: mono-core
BuildPrereq: gtk-sharp2-devel >= 2.12.0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Mono.Addins is a generic framework for creating extensible applications,
and for creating libraries which extend those applications.

%package devel
Summary: mono-addins-devel
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
mono-addins-devel

%prep
%setup -q
%patch0 -p1 -b .pkgconfig
%patch1 -p1 -b .gacutil

%build
autoreconf -vfi
%configure \
    --enable-gui
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.mdb" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/mautil
%{_prefix}/lib/mono/gac/Mono.Addins.CecilReflector
%{_prefix}/lib/mono/gac/Mono.Addins.Gui
%{_prefix}/lib/mono/gac/Mono.Addins.Setup
%{_prefix}/lib/mono/gac/Mono.Addins
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins.CecilReflector
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins.Gui
%{_prefix}/lib/mono/gac/policy.0.2.Mono.Addins.Setup
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins.CecilReflector
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins.Gui
%{_prefix}/lib/mono/gac/policy.0.3.Mono.Addins.Setup


%{_prefix}/lib/mono/%{name}

%{_mandir}/man1/mautil.1.*

%files devel
%{_libdir}/pkgconfig/mono-addins-gui.pc
%{_libdir}/pkgconfig/mono-addins-setup.pc
%{_libdir}/pkgconfig/mono-addins.pc

%changelog
* Sat Jan 24 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-1m)
- add patch1 (for gacutils)

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4-2m)
- rebuild against rpm-4.6

* Mon Jan 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-1m)
- update to 0.4

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-4m)
- good-bye debug symbol

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.1-3m)
- rebuild against gcc43

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-2m)
- rebuild against gtk-sharp2-2.12.0

* Fri Feb 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1

* Sat Dec 22 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.3-2m)
- add pkgconfig patch for lib64

* Thu Dec 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-1m)
- initial build

